org.apache.olingo.odata2.client.core.edm.Impl

## Class EdmDocumentationImpl

- java.lang.Object
- - org.apache.olingo.odata2.client.core.edm.Impl.EdmDocumentationImpl

- All Implemented Interfaces:
    EdmDocumentation

      public class EdmDocumentationImpl
      extends Object
      implements EdmDocumentation

  Objects of this class represent documentation

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EdmDocumentationImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<EdmAnnotationAttribute>` | `getAnnotationAttributes()`
    `List<EdmAnnotationElement>` | `getAnnotationElements()`
    `String` | `getLongDescription()`
    `String` | `getSummary()`
    `EdmDocumentationImpl` | `setAnnotationAttributes(List<EdmAnnotationAttribute> annotationAttributes)` Sets the collection of `EdmAnnotationAttributeImpl` for this `EdmDocumentationImpl`
    `EdmDocumentationImpl` | `setAnnotationElements(List<EdmAnnotationElement> annotationElements)` Sets the collection of `AnnotationElement` for this `EdmDocumentationImpl`
    `EdmDocumentationImpl` | `setLongDescription(String longDescription)` Sets the long description for this `EdmDocumentationImpl`
    `EdmDocumentationImpl` | `setSummary(String summary)` Sets the summary for this `EdmDocumentationImpl`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EdmDocumentationImpl

          public EdmDocumentationImpl()

  - ### Method Detail

    - #### getSummary

          public String getSummary()

      Returns:
        String summary

    - #### getLongDescription

          public String getLongDescription()

      Returns:
        String the long description

    - #### getAnnotationAttributes

          public List<EdmAnnotationAttribute> getAnnotationAttributes()

      Returns:
        collection of `EdmAnnotationAttributeImpl` annotation attributes

    - #### getAnnotationElements

          public List<EdmAnnotationElement> getAnnotationElements()

      Returns:
        collection of `AnnotationElement` annotation elements

    - #### setSummary

          public EdmDocumentationImpl setSummary(String summary)

      Sets the summary for this `EdmDocumentationImpl`
      Specified by:
        `setSummary` in interface `EdmDocumentation`
      Parameters:
        `summary` -
      Returns:
        `EdmDocumentationImpl` for method chaining

    - #### setLongDescription

          public EdmDocumentationImpl setLongDescription(String longDescription)

      Sets the long description for this `EdmDocumentationImpl`
      Specified by:
        `setLongDescription` in interface `EdmDocumentation`
      Parameters:
        `longDescription` -
      Returns:
        `EdmDocumentationImpl` for method chaining

    - #### setAnnotationAttributes

          public EdmDocumentationImpl setAnnotationAttributes(List<EdmAnnotationAttribute> annotationAttributes)

      Sets the collection of `EdmAnnotationAttributeImpl` for this `EdmDocumentationImpl`
      Specified by:
        `setAnnotationAttributes` in interface `EdmDocumentation`
      Parameters:
        `annotationAttributes` -
      Returns:
        `EdmDocumentationImpl` for method chaining

    - #### setAnnotationElements

          public EdmDocumentationImpl setAnnotationElements(List<EdmAnnotationElement> annotationElements)

      Sets the collection of `AnnotationElement` for this `EdmDocumentationImpl`
      Specified by:
        `setAnnotationElements` in interface `EdmDocumentation`
      Parameters:
        `annotationElements` -
      Returns:
        `EdmDocumentationImpl` for method chaining

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.